Bug 172325 - i810 vga driver has screen refresh problem in applications which use bitmap fonts
i810 vga driver has screen refresh problem in applications which use bitmap f...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks: FC4Update
  Show dependency treegraph
 
Reported: 2005-11-02 16:14 EST by Babak Salamat
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-14 13:12:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Babak Salamat 2005-11-02 16:14:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I use a Dell SC420 computer with E7221 integrated graphic chipset. Apparently the compatible VGA driver for this chip is i810. Using this driver causes a problem in applications that use bitmap fonts, like emacs and xterm.

I have found that when I add the "Option "noaccel"" in the xorg.conf, the problem is solved, but obviously almost every thing in the graphical interface becomes very slow.

I have also found that VESA driver does not have such a problem, but as it does not support DPMS, I can not use it either.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Choose i810 as the VGA driver in X
2.restart the system
3.open a text file using emacs and try to scroll the text
  

Actual Results:  The application can not correctly refresh the screen, so that you will see unreadable text on the screen.

Expected Results:  Screen should be refreshed correctly and text should be displayed normally.

Additional info:
Comment 1 Babak Salamat 2005-11-04 13:46:59 EST
I have recently found that the above problem does not occur in KDE. The problem
arises in GNome.
Comment 2 Babak Salamat 2005-11-04 13:55:41 EST
Sorry, I was wrong! It also occurs in KDE.

(In reply to comment #1)
> I have recently found that the above problem does not occur in KDE. The problem
> arises in GNome.

Comment 3 Mike A. Harris 2006-03-08 06:39:26 EST
If this issue turns out to still be reproduceable in the latest
updates for this Fedora Core release, please file a bug report
in the X.Org bugzilla located at http://bugs.freedesktop.org in
the "xorg" component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.

Setting status to "NEEDINFO_REPORTER", and awaiting upstream
bug report URL for tracking.

Thanks in advance.
Comment 4 Babak Salamat 2006-03-08 13:34:47 EST
I received some information from the guy who develops i810 driver. The problem
is solved if you add this option to the "Device" section of your xorg.conf file:

Option      "XaaNoScanlineCPUToScreenColorExpandFill"

Thanks
Comment 5 Mike A. Harris 2006-03-09 01:15:56 EST
(In reply to comment #4)
> I received some information from the guy who develops i810 driver. The problem
> is solved if you add this option to the "Device" section of your xorg.conf file:
> 
> Option      "XaaNoScanlineCPUToScreenColorExpandFill"

That indicates that the ScanlineCPUToScreenColorExpandFill acceleration is
buggy.

Why did you close this as NOTABUG?
Comment 6 Mike A. Harris 2006-06-14 13:12:34 EDT
It appears nobody wants to track this issue to find a proper resolution.

Closing bug "INSUFFICIENT_DATA".  File a bug upstream as indicated in
comment #3, and attach the bug URL here, if you'd like the underlying
problem to be resolved, and possibly released in a future update.

Note You need to log in before you can comment on or make changes to this bug.